# this gives access to the mpich header files
prefix=/usr/pkg
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include

Name: mpich
Description: High Performance and portable MPI
Version: 3.4.3
URL: http://www.mcs.anl.gov/research/projects/mpich
Requires:
Libs: -Wl,-rpath -Wl,${exec_prefix}/lib  -lm -L/usr/pkg/gcc10/lib/gcc/aarch64_be--netbsd/10.5.0 -Wl,-R/usr/pkg/gcc10/lib/gcc/aarch64_be--netbsd/10.5.0 -L/usr/pkg/gcc10/lib -Wl,-R/usr/pkg/gcc10/lib -Wl,-zrelro -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib  -L${libdir} -lmpi  -lm  -lpthread  -lexecinfo -lpthread  -lrt 
Cflags: -I/usr/pkg/include -I/usr/include -O2 -I/usr/pkg/include -I/usr/include -I${includedir}

# pkg-config does not understand Cxxflags, etc. So we allow users to
# query them using the --variable option

cxxflags=-I/usr/pkg/include -I/usr/include -O2 -I/usr/pkg/include -I/usr/include -I${includedir}
fflags=-O -fallow-argument-mismatch -I${includedir}
fcflags= -I${includedir}
